<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/mvt_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>12/28/82  mvt_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>The mvt_ subroutine provides for extremely efficient translation of
<span id="L4" class="LineNr"> 4 </span>character strings using translations which are not known at compile
<span id="L5" class="LineNr"> 5 </span>time.
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>Entry points in mvt_:
<span id="L9" class="LineNr"> 9 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>:Entry: mvt_: 12/06/82  mvt_ <span class="textRainbow_lv0_p0">(</span>entry<span class="textRainbow_lv0_p0">)</span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>Syntax:
<span id="L16" class="LineNr">16 </span>declare mvt_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>512<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L17" class="LineNr">17 </span>call mvt_ <span class="textRainbow_lv0_p0">(</span>input_string_ptr<span class="textRainbow_lv0_o0">,</span> output_string_ptr<span class="textRainbow_lv0_o0">,</span> string_lth<span class="textRainbow_lv0_o0">,</span>
<span id="L18" class="LineNr">18 </span>     translate_table<span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Arguments:
<span id="L22" class="LineNr">22 </span>input_string_ptr
<span id="L23" class="LineNr">23 </span>   is a pointer to the unaligned string to be translated.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L24" class="LineNr">24 </span>output_string_ptr
<span id="L25" class="LineNr">25 </span>   is a pointer to the string where the results of the translation will
<span id="L26" class="LineNr">26 </span>   be placed.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L27" class="LineNr">27 </span>string_lth
<span id="L28" class="LineNr">28 </span>   is the length of both the input string and the output string in
<span id="L29" class="LineNr">29 </span>   characters.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L30" class="LineNr">30 </span>translate_table
<span id="L31" class="LineNr">31 </span>   is the translation table which defines the actual translation.  See
<span id="L32" class="LineNr">32 </span>   mvt_$make_translation_table for a description of how to create this
<span id="L33" class="LineNr">33 </span>   table.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span>:Entry:  make_translation_table:  12/06/82 mvt_$make_translation_table
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>
<span id="L39" class="LineNr">39 </span>Function:  This entry point creates the translation table used by the
<span id="L40" class="LineNr">40 </span>mvt_ subroutine given the second and third arguments which would be
<span id="L41" class="LineNr">41 </span>supplied to the PL/I translate builtin function.
<span id="L42" class="LineNr">42 </span>
<span id="L43" class="LineNr">43 </span>
<span id="L44" class="LineNr">44 </span>Syntax:
<span id="L45" class="LineNr">45 </span>declare mvt_$make_translation_table entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>512<span class="textRainbow_lv1_p0">)</span>
<span id="L46" class="LineNr">46 </span>     aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L47" class="LineNr">47 </span>call mvt_$make_translation_table <span class="textRainbow_lv0_p0">(</span>translated_list<span class="textRainbow_lv0_o0">,</span> untranslated_list<span class="textRainbow_lv0_o0">,</span>
<span id="L48" class="LineNr">48 </span>     translate_table<span class="textRainbow_lv0_p0">)</span>;
<span id="L49" class="LineNr">49 </span>
<span id="L50" class="LineNr">50 </span>
<span id="L51" class="LineNr">51 </span>Arguments:
<span id="L52" class="LineNr">52 </span>translated_list
<span id="L53" class="LineNr">53 </span>   is the second argument to the PL/I translate builtin and specifies
<span id="L54" class="LineNr">54 </span>   the result of translating any occurrence of the corresponding
<span id="L55" class="LineNr">55 </span>   characters in untranslated_list present in the input string of the
<span id="L56" class="LineNr">56 </span>   mvt_ entry described above.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L57" class="LineNr">57 </span>untranslated_list
<span id="L58" class="LineNr">58 </span>   is the third argument to the PL/I translate builtin and specifies
<span id="L59" class="LineNr">59 </span>   the list of characters which will be translated if found in the
<span id="L60" class="LineNr">60 </span>   input string.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L61" class="LineNr">61 </span>translate_table
<span id="L62" class="LineNr">62 </span>   is set to the translate table which defines the desired translation.
<span id="L63" class="LineNr">63 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L64" class="LineNr">64 </span>
<span id="L65" class="LineNr">65 </span>
<span id="L66" class="LineNr">66 </span>Notes:  The table constructed by this subroutine will cause any
<span id="L67" class="LineNr">67 </span>occurence of the N'th character in untranslated_list present in the
<span id="L68" class="LineNr">68 </span>input string of mvt_ to be converted into the N'th character in
<span id="L69" class="LineNr">69 </span>translated_list.  See the description of the PL/I translate builtin for
<span id="L70" class="LineNr">70 </span>more information.
<span id="L71" class="LineNr">71 </span>
<span id="L72" class="LineNr">72 </span>If the PL/I builtin would have been used with only two arguments, use
<span id="L73" class="LineNr">73 </span>the value of the collate9 builtin for the untranslated_list argument.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
